FROM golang:1.25-alpine AS builder

WORKDIR /app
COPY go.mod go.sum ./
RUN go mod download

COPY . .
RUN CGO_ENABLED=0 GOOS=linux go build -o rbd-exporter .

FROM ubuntu:22.04
RUN apt-get update && apt-get install -y \
    ceph-common \
    && rm -rf /var/lib/apt/lists/*

WORKDIR /home/

COPY --from=builder /app/rbd-exporter .
EXPOSE 9040

CMD [ "./rbd-exporter" ]